Bug 37232 - Inconsistent accessibility not detected in partial classes in XS on Mac
Summary: Inconsistent accessibility not detected in partial classes in XS on Mac
Status: RESOLVED FIXED
Alias: None
Product: Compilers
Classification: Mono
Component: C# (show other bugs)
Version: unspecified
Hardware: Macintosh Mac OS
: --- normal
Target Milestone: ---
Assignee: Marek Safar
URL:
Depends on:
Blocks:
 
Reported: 2015-12-22 16:08 UTC by John Miller [MSFT]
Modified: 2016-01-11 12:52 UTC (History)
4 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:


Attachments
Sample Project (4.93 KB, application/zip)
2015-12-22 16:08 UTC, John Miller [MSFT]
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on GitHub or Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description John Miller [MSFT] 2015-12-22 16:08:30 UTC
Created attachment 14380 [details]
Sample Project

**Overview:**

   The attached project contains an error related to inconsistent accessibility with the types. However, it's not detected on Mac in Xamarin Studio and compiles OK. 

**Steps to Reproduce:**

   1. Build the attached project in XS on Mac.

**Actual Results:**

   Builds Successful.

**Expected Results:**

   Build should error like this: http://screencast.com/t/aphzc1PXdZ

**Build Date & Platform:**

   XS 5.10
   Mono 4.2

**Additional Information:**

   The attached project fails as expected in XS on Windows and in Visual Studio.
Comment 1 David Karlaš 2015-12-22 16:25:25 UTC
this is mcs.exe bug, btw XS 6.0(next cycle) is displaying this correctly as error, but mcs.exe still compiles
Comment 2 Marek Safar 2016-01-11 12:52:55 UTC
Fixed in master